Code_roots

Get Code Root Finding

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
finding_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
idintegerRequired
package_namestringRequired
package_versionsstring[]Required
createdstring · date-timeRequired
updatedstring · date-timeRequired
assigneeany ofRequired
or
nullOptional
code_root_idintegerRequired
remediationany ofOptional
or
nullOptional
is_maintainedany ofRequired
booleanOptional
or
nullOptional
is_direct_dependencybooleanRequired
get
/api/code_roots/findings/{finding_id}

Get Code Root Finding Summary

get

Get a summary of a code root finding.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
finding_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Represents an LLM-generated summary of a finding (either Service or Code Root).

summarystringRequired
get
/api/code_roots/findings/{finding_id}/summary

Get Code Root

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
idintegerRequired
repository_typestring · enumRequiredPossible values:
repository_idstringRequired
pathstringRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
sbom_availablebooleanRequired
latest_activityany ofOptional
string · date-timeOptional
or
nullOptional
languageany ofOptional
stringOptional
or
nullOptional
language_versionany ofOptional
stringOptional
or
nullOptional
package_managerany ofOptional
stringOptional
or
nullOptional
technologiesstring[]OptionalDefault: []
repository_nameany ofOptional
stringOptional
or
nullOptional
projectany ofOptional
or
nullOptional
teamany ofOptional
or
nullOptional
project_ticket_typeany ofOptional
or
nullOptional
get
/api/code_roots/{id}

Get Code Root Sbom

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
get
/api/code_roots/{id}/sbom

No content

Get Code Root Terms

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
categorystringOptionalDefault: code_roots
code_root_idany ofOptional
integerOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
get
/api/code_roots/_terms

Get Code Root Dependencies Terms

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
get
/api/code_roots/{code_root_id}/dependencies/_terms

Get Code Root Dependencies

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idintegerRequired
Query parameters
pageintegerOptionalDefault: 0
limitinteger · min: 1OptionalDefault: 100
orderany ofOptional
stringOptional
or
nullOptional
ordersany ofOptional
string[]Optional
or
nullOptional
directionany ofOptional
stringOptional
or
nullOptional
searchany ofOptional
stringOptional
or
nullOptional
Bodyany of[]
or
or
Responses
chevron-right
200

Successful Response

application/json
totalintegerRequired
pagesintegerRequired
page_sizeintegerRequired
page_numberintegerRequired
post
/api/code_roots/{id}/dependencies

Get Sca Json

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
Other propertiesanyOptional
get
/api/code_roots/{code_root_id}/sca

Get Code Root Dependency Graph

get

Get the dependency graph for a code root.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
id_integerRequired
Responses
chevron-right
200

Successful Response

application/json
sourcestring · enumRequired

Specifies how the dependency graph was built.

Possible values:
get
/api/code_roots/{id_}/dependencies/graph

Get Code Root Dependency Graph To Package

post

Get the dependency graph for a code root going to a specific package.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
id_integerRequired
target_packagestringRequired
Query parameters
limitintegerOptionalDefault: 25
Body
string[]Optional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
sourcestring · enumRequired

Specifies how the dependency graph was built.

Possible values:
post
/api/code_roots/{id_}/dependencies/graph/{target_package}

Get Code Root Dependency Paths To Target

post

Get the dependency paths to a target package.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
id_integerRequired
target_packagestringRequired
Query parameters
limitintegerOptionalDefault: 25
Body
string[]Optional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
sourcestring · enumRequired

Specifies how the dependency graph was built.

Possible values:
totalintegerRequired
post
/api/code_roots/{id_}/dependencies/paths/{target_package}

Get Code Root Dependency Version

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
dependency_namestringRequired
versionstringRequired
Responses
chevron-right
200

Successful Response

application/json
namestringRequired
languageany ofRequired
string · enumOptionalPossible values:
or
nullOptional
hygiene_scoreany ofRequired
or
nullOptional
first_introducedany ofRequired
string · date-timeOptional
or
nullOptional
release_dateany ofRequired
string · date-timeOptional
or
nullOptional
dependency_commit_idintegerRequired
code_root_idintegerRequired
code_root_namestringRequired
changeset_urlany ofRequired
stringOptional
or
nullOptional
get
/api/code_roots/{code_root_id}/dependencies/{dependency_name}/versions/{version}

Get Code Root Dependency Version Findings

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
dependency_namestringRequired
versionstringRequired
Query parameters
pageintegerOptionalDefault: 0
limitinteger · min: 1OptionalDefault: 100
orderany ofOptional
stringOptional
or
nullOptional
ordersany ofOptional
string[]Optional
or
nullOptional
directionany ofOptional
stringOptional
or
nullOptional
searchany ofOptional
stringOptional
or
nullOptional
Bodyany of[]
or
or
Responses
chevron-right
200

Successful Response

application/json
totalintegerRequired
pagesintegerRequired
page_sizeintegerRequired
page_numberintegerRequired
post
/api/code_roots/{code_root_id}/dependencies/{dependency_name}/versions/{version}/findings

Get Code Root Contributors

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Query parameters
pageintegerOptionalDefault: 0
limitinteger · min: 1OptionalDefault: 100
orderany ofOptional
stringOptional
or
nullOptional
ordersany ofOptional
string[]Optional
or
nullOptional
directionany ofOptional
stringOptional
or
nullOptional
searchany ofOptional
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
totalintegerRequired
pagesintegerRequired
page_sizeintegerRequired
page_numberintegerRequired
get
/api/code_roots/{code_root_id}/contributors

Get Code Root Apis

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Query parameters
pageintegerOptionalDefault: 0
limitinteger · min: 1OptionalDefault: 100
orderany ofOptional
stringOptional
or
nullOptional
ordersany ofOptional
string[]Optional
or
nullOptional
directionany ofOptional
stringOptional
or
nullOptional
searchany ofOptional
stringOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
totalintegerRequired
pagesintegerRequired
page_sizeintegerRequired
page_numberintegerRequired
get
/api/code_roots/{code_root_id}/apis

Get Code Root Remediation Route

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
remediation_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json

Intended to be called only to display the front end remediation details page.

idintegerRequired

Unique identifier for this remediation.

package_namestringRequired

The name of the package that this remediation offers solutions for.

package_ecosystemstring · enumRequired

The package ecosystem that this package is a part of.

Possible values:
titlestringRequired

The title of the remediation.

createdstring · date-timeRequired

The time when the remediation was created.

assigneeany ofRequired

The identity assigned to perform this remediation.

or
nullOptional
is_automatablebooleanOptional

Whether the remediation is automatable.

Default: false
is_direct_dependencybooleanRequired

Whether the remediation is on a direct dependency.

code_root_idintegerRequired
severitystring · enumRequiredPossible values:
ticketany ofRequired
or
nullOptional
fixabilityany ofRequired
string · enumOptionalPossible values:
or
nullOptional
issuesany ofRequired
or
nullOptional
code_root_fileany ofRequired
stringOptional
or
nullOptional
code_root_pathany ofRequired
stringOptional
or
nullOptional
repository_idany ofRequired
stringOptional
or
nullOptional
is_maintainedany ofRequired
booleanOptional
or
nullOptional
get
/api/code_roots/remediations/{remediation_id}

Create Ticket For Remediation

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
remediation_idintegerRequired
Body
or
Responses
chevron-right
200

Successful Response

application/json
issue_idintegerRequired
namestringRequired
statusstringRequired
status_categorystringRequired
issue_typestringRequired
issue_type_icon_urlany ofRequired
stringOptional
or
nullOptional
urlany ofRequired
stringOptional
or
nullOptional
summarystringRequired
connection_typestringOptionalDefault: jira
remediation_idany ofOptional
integerOptional
or
nullOptional
post
/api/code_roots/{code_root_id}/remediations/{remediation_id}/tickets

Link Ticket To Remediation

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
remediation_idintegerRequired
Body
connection_typestringRequired
issue_idintegerRequired
finding_idany ofOptional
integerOptional
or
nullOptional
Responses
chevron-right
200

Successful Response

application/json
anyOptional
put
/api/code_roots/{code_root_id}/remediations/{remediation_id}/tickets

No content

Delete Ticket From Remediation

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
remediation_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/api/code_roots/{code_root_id}/remediations/{remediation_id}/tickets

No content

Bulk Create Remediation Tickets

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Body
remediation_idsinteger[]Required
Responses
chevron-right
200

Successful Response

application/json
connection_idany ofRequired
integerOptional
or
nullOptional
project_idany ofRequired
stringOptional
or
nullOptional
sourceany ofRequired
stringOptional
or
nullOptional
issue_typeany ofRequired
stringOptional
or
nullOptional
reporterany ofRequired
stringOptional
or
nullOptional
assigneeany ofRequired
stringOptional
or
nullOptional
team_idany ofRequired
stringOptional
or
nullOptional
fieldsany ofRequired
or
nullOptional
suggestionsany ofRequired
or
nullOptional
post
/api/code_roots/{code_root_id}/remediations/create/bulk

Get Suggested Ticket Fields

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
remediation_idintegerRequired
Query parameters
connection_typeany ofOptional
stringOptional
or
nullOptional
bulk_suggestionsbooleanOptionalDefault: false
Responses
chevron-right
200

Successful Response

application/json
or
get
/api/code_roots/{code_root_id}/remediations/{remediation_id}/suggested_ticket_fields

Assign Remediation

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
remediation_idintegerRequired
Body
identity_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
put
/api/code_roots/{code_root_id}/remediations/{remediation_id}/assignee

No content

Delete Remediation Assigne

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
remediation_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/api/code_roots/{code_root_id}/remediations/{remediation_id}/assignee

No content

Set Code Root Owners

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
owner_typestring · enumRequiredPossible values:
Body
Responses
chevron-right
200

Successful Response

application/json
okbooleanRequired
messageany ofOptional
stringOptional
or
nullOptional
post
/api/code_roots/{code_root_id}/owners/{owner_type}

Set Code Root Project

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Body
project_idstringRequired
connection_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/api/code_roots/{code_root_id}/project

No content

Remove Code Root Project

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/api/code_roots/{code_root_id}/project

No content

Set Code Root Project Ticket Type

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
ticket_type_idstringRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/api/code_roots/{code_root_id}/project/ticket_type/{ticket_type_id}

No content

Remove Code Root Project Ticket Type

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/api/code_roots/{code_root_id}/project/ticket_type

No content

Set Code Root Team

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
team_idstringRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
post
/api/code_roots/{code_root_id}/team/{team_id}

No content

Remove Code Root Team

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
code_root_idintegerRequired
Responses
chevron-right
200

Successful Response

application/json
anyOptional
delete
/api/code_roots/{code_root_id}/team

No content

Last updated

Was this helpful?